Bug 1196745 (CVE-2011-5320) - CVE-2011-5320 glibc: scanf implementation crashes on certain inputs
Summary: CVE-2011-5320 glibc: scanf implementation crashes on certain inputs
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2011-5320
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1188240 1196746
TreeView+ depends on / blocked
 
Reported: 2015-02-26 16:13 UTC by Vasyl Kaigorodov
Modified: 2021-09-09 11:37 UTC (History)
10 users (show)

Fixed In Version: glibc 2.15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-08 04:00:09 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Sourceware 13138 0 None None None Never

Description Vasyl Kaigorodov 2015-02-26 16:13:27 UTC
It was reported [1] that scanf and related functions are crashing due to a bug [2] in glibc.

[1]: http://seclists.org/oss-sec/2015/q1/686
[2]: https://sourceware.org/bugzilla/show_bug.cgi?id=13138

Comment 1 Huzaifa S. Sidhpurwala 2015-07-17 05:55:58 UTC
Statement:

This issue affects the version of glibc package as shipped with Red Hat Enterprise Linux 5 and 6. Red Hat Product Security has rated this issue as having Low security impact. A future update in Red Hat Enterprise Linux 6 may address this issue. This issue did not affect the versions of glibc as shipped with Red Hat Enterprise Linux 7.

Red Hat Enterprise Linux 5 is now in Extended Life Cycle phase of the support and maintenance life cycle. This issue is not currently planned to be addressed in future updates.


Note You need to log in before you can comment on or make changes to this bug.